package com.yfd.platform.modules.specialDocument.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.specialDocument.domain.Files;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 专项文档表 Mapper 接口
 * </p>
 *
 * @author LiMengNan
 * @since 2025-01-20
 */
public interface FilesMapper extends BaseMapper<Files> {

    int batchInsertFiles(List<Files> filesList);

    int updateNodeIdByPathHierarchy(@Param("id") String id);

    //根据节点删除文件（递归子节点文件）
    int deleteByNodeId(@Param("nodeId")String nodeId);

    void updateFileByPath(@Param("projectId") String projectId,@Param("oldBasePath")  String oldBasePath,@Param("newBasePath")  String newBasePath);

    //分页查询文件表
    Page<Files> selectFilesPage(@Param("page") Page<Files> page,
                                @Param("fileName") String fileName,
                                @Param("keywords") String keywords,
                                @Param("startDate") Date startDate,
                                @Param("endDate") Date endDate,
                                @Param("projectId") String projectId,
                                @Param("nodeId") String nodeId,
                                @Param("fileName1") String fileName1,
                                @Param("tableName") String tableName
                                );

    //插入文件表
    int insertSdFilesTable(@Param("tableName") String tableName, @Param("files") Files filess);

    //更新文件表
    int updateSdFiles(@Param("tableName") String tableName, @Param("files") Files files);

    //批量查询文件表
    List<Files> selectSdFilesBatchIds(@Param("dataset") List<String> dataset,@Param("tableName") String tableName);

    //删除文件表
    int deleteSdFiles(@Param("tableName") String tableName, @Param("files") Files files);

    //查询文件表根据ID
    Files selectSdFilesById(@Param("tableName") String tableName, @Param("id") String id);
}
